<script>
	import SVG from "@/components/svg.svelte"
	
	import { isLight } from "@/stores/static"
	import { isPhone, isTablet } from "@/stores/responsiveness"
	import { l } from "@/i18n"

	export let data

	let active = false

	$: name = data.name
	$: url = data.url
	$: cars = data.cars
</script>

<template lang="pug">
	.collapse( class:active='{active}' class:dark='{!$isLight}' )
		.collapse-trigger.is-flex.is-align-items-center.is-justify-content-space-between( on:click!='{() => active = !active}' )
			.data.is-flex.is-align-items-center.is-justify-content-flex-start
				span.icon.is-flex: SVG( folder="brands" name='{url}' )
				p.name {name}
			.indicator
				span.icon.is-flex
					+if('active'): SVG( folder="icons" name="minus" )
					+if('!active'): SVG( folder="icons" name="plus" )
		.collapse-body
			.list
				+each('cars as car')
					.list-item.is-flex(
						class:is-align-items-center!='{!$isPhone && !$isTablet}'
						class:is-align-items-flex-start!='{$isPhone || $isTablet}'
						class:is-justify-content-space-between!='{!$isPhone && !$isTablet}'
						class:is-justify-content-flex-start!='{$isPhone || $isTablet}'
						class:is-flex-direction-column!='{$isPhone || $isTablet}')
						.left.is-flex-grow-1
							a.name( href!='{$l(`cars/${car.url}`)}' ) {car.name}
						.right.is-flex-grow-1.is-flex.is-justify-content-space-between( 
							class:is-align-items-center!='{!$isPhone && !$isTablet}'
							class:is-align-items-flex-start!='{$isPhone || $isTablet}'
							class:is-flex-direction-column!='{$isPhone || $isTablet}' )
							.types.is-flex.is-align-items-center
								+each('car.types.sort((a, b) => a.position > b.position ? 1 : -1) as type')
									a( href!='{$l(`cars/${type.url}`)}' ) {type.name}
							.prices.is-flex.is-align-items-center.is-justify-content-center
								p.aed {car.price.aed} AED
								p.usd {car.price.usd} USD
</template>

<style lang="scss">
.collapse {
	&.dark {
		&:not(.active) {
			.collapse-trigger {
				.data {
					.icon :global(svg path) {
						fill: $white;
					}
				}
				.indicator {
					:global(svg path) {
						fill: $white;
					}
				}
			}
		}
		.collapse-trigger {
			border-color: #434343;
		}
		.list {
			&-item {
				&:nth-of-type(2n - 1) {
					background: #2E2E2E;
				}

				a,p {
					color: $white;
				}

				a {
					&:hover {
						color: $primary;
					}
				}
				
				.prices {
					p {
						flex-shrink: 0;
						&.aed {
							color: #D8D8D8;
							background: #434343;
						}
						&.usd {
							color: #1D1D1D;
						}
					}
				}
			}
		}
	}


	&.active {
		.collapse-trigger {
			.data {
				.icon :global(svg path) {
					fill: $primary;
				}
				.name {
					color: $primary;
				}
			}
			.indicator .icon :global(svg path) {
				fill: $primary;
			}
		}
		.collapse-body {
			max-height: 500px;
			@include max_tablet {
				max-height: 1500px;
			}
		}
	}
	&-trigger {
		border-bottom: 1px solid $dark;
		cursor: pointer;
		transition: border-color .2s ease-in-out;
		.data {
			.icon {
				width: 4rem;
				height: 4rem;
				margin-right: .5rem;
				:global(svg path) {
					transition: fill .2s ease-in-out;
				}
			}
			.name {
				font-size: 1.125rem;
				font-weight: 500;
				transition: color .2s ease-in-out;
				user-select: none;
			}
		}
		.indicator {
			.icon {
				width: 1.5rem;
				:global(svg) {
					height: 1.5rem;
				}
				:global(svg path) {
					transition: fill .2s ease-in-out;
				}
			}
		}
	}
	&-body {
		max-height: 0;
		overflow: hidden;
		transition: max-height .2s ease-in-out;
	}
}

.list {
	max-width: 981px;
	margin: 0 auto;
	padding: .5rem 0 1.5rem;
	&-item {
		padding: .375rem 0;
		a, p {
			font-size: 1rem;
			font-weight: 300;
			line-height: 1rem;
			transition: color .2s ease-in-out;
		}
		.left,
		.right {
			width: 50%;
		}
		.right {
			width: 50%;
			.types {
				a + a {
					margin-left: .25rem;
				}
				@include max_tablet {
					margin: .5rem 0;
				}
			}
		}

		.types {
			a {
				color: #6D6D6D;
			}
		}

		.prices {
			p {
				padding: .125rem;
				transition: 
					color .2s ease-in-out,
					background .2s ease-in-out;
				&.aed {
					color: $gray-text;
					background: $gray-dark;
				}
				&.usd {
					color: $black;
					background: $primary;
				}
				&+p {
					margin-left: .25rem;
				}
			}
		}

		&:nth-of-type(2n - 1) {
			background: $gray;
		}
	}
}
</style>